# Launchable

interface Launchable : ProjectModel

Represents an object that can be used to launch a Gradle build, such as a task.

To launch a build, you pass one or more org.gradle.tooling.model.Launchable instances to either forTasks or forLaunchables.

#### Since

1.12

#### Inheritors

Task
TaskSelector

## Functions

getDescription
Link copied to clipboard
@Nullable
abstract fun getDescription(): @Nullable String
Returns the description of this launchable, or `null` if it has no description.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns a human-consumable display name for this launchable.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the Gradle project that this model originated from.
isPublic
Link copied to clipboard
abstract fun isPublic(): Boolean
Returns whether launchable is public or not.